function diffexp
f=@(t)exp(t);
t=1;
ex=exp(1);

hs=logspace(0,-16,200);
er=zeros(length(hs),4);
for i=1:length(hs)
    h=hs(i);
    T0=(f(t+h)-f(t))/h;
    T11=(f(t+h  )-f(t-h  ))/(2*h  );
    T21=(f(t+h/2)-f(t-h/2))/(2*h/2);
    T31=(f(t+h/4)-f(t-h/4))/(2*h/4);
    T22=(4*T21-T11)/3;
    T32=(4*T31-T21)/3;
    T33=(16*T32-T22)/15;
    er(i,:)=[T0 T11 T22 T33]-ex;
end;
loglog(hs,abs(er))
legend('einseitig','zentral','T22','T33','Location','SouthWest');